package com.yh.saas.plugin.news.enums;

import lombok.Getter;

/**
 * 状态
 *
 * @author wxg
 */
public enum CircularStatusEnum {

    //通知通函发送
    WAITSEND("1", "未发送", "Wait Send"),
    SENDED("2", "已发送", "Have Send"),
    PARTRECEIVED("3", "已接收", "Partial Reception"),
    ALLRECEIVED("4", "已全部接收", "All Received"),

    //通知通函接收
    RETURNED("0", "已退回", "Returned"),
    WAITRECEIVE("1", "未接收", "Wait Receive"),
    RECEIVED("2", "已接收", "Received"),
    WAITINGFEEDBACK("3", "待反馈", "Waiting for feedback"),
    FEEDBACK("4", "已反馈", "Feedback received"),

    ;


    @Getter
    private String flag;

    @Getter
    private String name;

    @Getter
    private String nameEn;

    @Getter
    private String description;

    private CircularStatusEnum(String flag, String name, String nameEn) {
        this.flag = flag;
        this.name = name;
        this.nameEn = nameEn;
    }

    private CircularStatusEnum(String flag, String name, String nameEn, String description) {
        this.flag = flag;
        this.name = name;
        this.nameEn = nameEn;
        this.description = description;
    }

    @Override
    public String toString() {
        return "[" + this.flag + "]" + this.name + "_" + this.nameEn;
    }
}
